Skip to main content
The Broker API returns positions and trades for the user identified by X-User-Wallet-Address. These private endpoints require a Broker API Key. See Broker API Key and signing. Production Base URL:

List Positions

cURL
Common response fields include position_id, event_id, token_id, outcome, size, available_size, locked_size, avg_open_price, position_value, settlement_status, won, and updated_at.

List Settled Positions

cURL
This endpoint returns settled Event Contracts positions.

List User Trades

cURL
User trade records typically include trade_id, order_id, condition_id, token_id, price, size, side, role, and fee_rate.
Account endpoints query data for the currently authenticated user. They should not be interpreted as public on-chain query endpoints for arbitrary wallet addresses.